For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList conversations
      • GETGet conversation details
      • DELDelete conversation
      • GETGet conversation audio
      • GETGet signed URL
      • GETGet conversation token
      • POSTSend conversation feedback
      • POSTUpload conversation file
      • DELDelete conversation file
      • GETGet SIP messages for a conversation
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsConversations

Delete conversation file

DELETE
/v1/convai/conversations/:conversation_id/files/:file_id
DELETE
/v1/convai/conversations/:conversation_id/files/:file_id
$curl -X DELETE https://api.elevenlabs.io/v1/convai/conversations/conversation_id/files/file_id \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "file_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
3}
Remove a file upload from a conversation. Only possible if the file hasn't already been used in the conversation.
Was this page helpful?
Previous

Get SIP messages for a conversation

Next
Built with

Path parameters

file_idstringRequired
conversation_idstringRequired

Headers

xi-api-keystringOptional

Response

Successful Response
file_idstring

Errors

422
Unprocessable Entity Error